/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package servidor.datos.base;

import java.sql.*;

public class RegistroCategoriaEstadistica implements MemRegistro {

   private int Id = 0;
   private String codigo = " ";
   private String categoria = " ";
   
   public RegistroCategoriaEstadistica() {
   }

   //<editor-fold desc="Metodos interfaz MemRegistro>
   @Override
   public void cargar(ResultSet rs) {
      try {
         setId(rs.getInt(1));
         setCodigo(rs.getString(2));
         setCategoria(rs.getString(3));
      } catch (SQLException ex) {
         ex.printStackTrace();
      }
   }

   @Override
   public String registro() {
      return registroSBuff().toString();
   }

   @Override
   public StringBuilder registroSBuff() {
      StringBuilder buf = new StringBuilder(20);
      buf.append(Id).append('|');
      buf.append(codigo).append('|');
      buf.append(categoria);
      return buf;
   }

   @Override
   public String toString() {
      return codigo + " " + categoria;
   }

//</editor-fold>
   //<editor-fold desc="Acceso a propiedades">
   public int getId() {
      return Id;
   }

   public void setId(int Id) {
      this.Id = Id;
   }

   public String getCodigo() {
      return codigo;
   }

   public void setCodigo(String unCodigo) {
      this.codigo = unCodigo;
   }

   public String getCategoria() {
      return categoria;
   }

   public void setCategoria(String unaCategoria) {
      if (unaCategoria == null || unaCategoria.equals("")) {
         categoria = " ";
      } else {
         categoria = unaCategoria;
      }
   }
   //</editor-fold>
}
